Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found, debian 9



  • I'm getting

     qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
    

    after a fresh installation of qt creator in Debian 9. Unfortunately, the solutions here tell me to do ldd /usr/lib/qt/plugins/platforms/libqxcb.so but /usr/lib/qt/ doesn't even exist.


  • Lifetime Qt Champion

    Hi
    How did you install Qt ?
    When using the online installer you can choose the install dir.

    Did you try locate libqxcb.so to see if its somewhere else?

    Also just to be clear. This errors come when running via Creator ?
    Not trying to run .exe alone. Correct ?


Log in to reply